Bug 657492

Summary: External USB drive (LaCie) reports errors after upgrade from F11 to F14
Product: [Fedora] Fedora Reporter: Andrej <andrej.valencic>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 14CC: dougsland, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 18:44:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Andrej 2010-11-26 09:27:46 UTC
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12

After upgrading to F14 (latest updates installed) I am no longer able to use external USB disk for rsync backup(the disk is LaCie Hard Disk External Hard Drive Designed by Neil Poulton - 1 TB - USB 2.0). There are a lot of errors reported and the disk is remounted read-only. Some excerpts from the message log:

Nov 23 19:59:17 vortexbox kernel: [39710.538883] lost page write due to I/O error on sdb1
Nov 23 19:59:17 vortexbox kernel: [39710.538890] Buffer I/O error on device sdb1, logical block 53383157
Nov 23 19:59:17 vortexbox kernel: [39710.539040] lost page write due to I/O error on sdb1
Nov 23 19:59:17 vortexbox kernel: [39710.539053] Buffer I/O error on device sdb1, logical block 53383158
Nov 23 19:59:17 vortexbox kernel: [39710.539177] lost page write due to I/O error on sdb1
Nov 23 19:59:17 vortexbox kernel: [39710.539187] Buffer I/O error on device sdb1, logical block 53383159
Nov 23 19:59:17 vortexbox kernel: [39710.539339] lost page write due to I/O error on sdb1
Nov 23 19:59:17 vortexbox kernel: [39710.539352] Buffer I/O error on device sdb1, logical block 53383160
Nov 23 19:59:17 vortexbox kernel: [39710.539530] lost page write due to I/O error on sdb1
Nov 23 19:59:17 vortexbox kernel: [39710.539545] Buffer I/O error on device sdb1, logical block 53383161
Nov 23 19:59:17 vortexbox kernel: [39710.539736] lost page write due to I/O error on sdb1
Nov 23 19:59:17 vortexbox kernel: [39710.562910] sd 2:0:0:0: [sdb] Unhandled error code
Nov 23 19:59:17 vortexbox kernel: [39710.562918] sd 2:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Nov 23 19:59:17 vortexbox kernel: [39710.562926] sd 2:0:0:0: [sdb] CDB: Write(10): 2a 00 19 74 88 70 00 00 f0 00
Nov 23 19:59:17 vortexbox kernel: [39710.562947] end_request: I/O error, dev sdb, sector 427067504
Nov 23 19:59:17 vortexbox kernel: [39710.586668] sd 2:0:0:0: [sdb] Unhandled error code
Nov 23 19:59:17 vortexbox kernel: [39710.586679] sd 2:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Nov 23 19:59:17 vortexbox kernel: [39710.586691] sd 2:0:0:0: [sdb] CDB: Write(10): 2a 00 19 74 89 60 00 00 f0 00
Nov 23 19:59:17 vortexbox kernel: [39710.586721] end_request: I/O error, dev sdb, sector 427067744
Nov 23 19:59:17 vortexbox kernel: [39710.610912] sd 2:0:0:0: [sdb] Unhandled error code
Nov 23 19:59:17 vortexbox kernel: [39710.610923] sd 2:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Nov 23 19:59:17 vortexbox kernel: [39710.610935] sd 2:0:0:0: [sdb] CDB: Write(10): 2a 00 19 74 8a 50 00 00 f0 00
Nov 23 19:59:17 vortexbox kernel: [39710.610963] end_request: I/O error, dev sdb, sector 427067984
Nov 23 19:59:17 vortexbox kernel: [39710.634286] sd 2:0:0:0: [sdb] Unhandled error code
Nov 23 19:59:17 vortexbox kernel: [39710.634294] sd 2:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Nov 23 19:59:17 vortexbox kernel: [39710.634302] sd 2:0:0:0: [sdb] CDB: Write(10): 2a 00 19 74 8b 40 00 00 f0 00
Nov 23 19:59:17 vortexbox kernel: [39710.634323] end_request: I/O error, dev sdb, sector 427068224
Nov 23 19:59:17 vortexbox kernel: [39710.657904] sd 2:0:0:0: [sdb] Unhandled error code
Nov 23 19:59:17 vortexbox kernel: [39710.657915] sd 2:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Nov 23 19:59:17 vortexbox kernel: [39710.657926] sd 2:0:0:0: [sdb] CDB: Write(10): 2a 00 19 74 8c 30 00 00 f0 00
Nov 23 19:59:17 vortexbox kernel: [39710.657956] end_request: I/O error, dev sdb, sector 427068464
Nov 23 19:59:17 vortexbox kernel: [39710.681285] sd 2:0:0:0: [sdb] Unhandled error code
Nov 23 19:59:17 vortexbox kernel: [39710.681293] sd 2:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Nov 23 19:59:17 vortexbox kernel: [39710.681302] sd 2:0:0:0: [sdb] CDB: Write(10): 2a 00 19 74 8d 20 00 00 f0 00

Reformat disk (fdisk) and making new filesystem did not help. Even during mkfs (ext3/ext4) the same type of errors appears when writing the inods.

I've also tried badblocks and it reported a lot of blocks but fsck did run without problems and smartctl didn't show anything is wrong with the disk.




Reproducible: Always

Steps to Reproduce:
1.fdisk
2.mkfs.ext4 - errors in log
3.rsync <from local disk to external disk> - fails with errors in log
4.drive remounted read-only
Actual Results:  
The above mentioned errors appearing in /var/log/messages

Expected Results:  
No errors and rsync completed.

No such problems showed when I was using F11. And the same disk is working flawlessly under Windows Vista and Ubuntu 10.10. I also ran SeaTool from Seagate to test the disk - also no problems reported.

Comment 1 Josh Boyer 2011-09-21 17:15:19 UTC
Is this still happening with the latest updates from f14 or f15?

Comment 2 Andrej 2011-09-22 09:18:05 UTC

(In reply to comment #1)
> Is this still happening with the latest updates from f14 or f15?

Yes, it still happens on f15 (I don't have an f14 at the moment to check).

Altough I'm using this disk on the Ubuntu machine so this issue is not very important anymore.

Comment 3 Fedora End Of Life 2012-08-16 18:45:00 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping